import { createRouter, createWebHashHistory } from 'vue-router'
import Budget from '../pages/Budget.vue';
import Dashboard from '../pages/Dashboard.vue';
import Login from '../pages/Login.vue';
import Register from '../pages/Register.vue';

const routes = [
  { path: '/', name: 'Index', component: Dashboard },
  { path: '/login', name: 'Login', component: Login },
  { path: '/register', name: 'Register', component: Register },
  { path: '/budget/:budgetid',  name: 'Budget', component: Budget },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

export default router